# sfepy.homogenization.homogen_app module

class sfepy.homogenization.homogen_app.HomogenizationApp(conf, options, output_prefix, **kwargs)
  call(verbose=False, ret_all=None, itime=None, iiter=None)

    Call the homogenization engine and compute the homogenized coefficients.

    Parameters:
      verbose bool

        If True, print the computed coefficients.

      ret_all bool or None

        If not None, it can be used to override the ‘return_all’ option. If True, also the dependencies are returned.

      time_tag: str

        The time tag used in file names.

    Returns:
      coefs Coefficients instance

        The homogenized coefficients.

      dependencies dict

        The dependencies, if ret_all is True.

  get_micro_cache_key(key, icoor, itime)
  static process_options(options)

    Application options setup. Sets default values for missing non-compulsory options.

  setup_macro_data(data)

    Setup macroscopic deformation gradient.

  setup_options()
  update_micro_states()

    Update microstructures state according to the macroscopic data and corrector functions.